diff --git a/test/helpers/journals_helper_test.rb b/test/helpers/journals_helper_test.rb
index b9d73ef64..355d5ec6f 100644
--- a/test/helpers/journals_helper_test.rb
+++ b/test/helpers/journals_helper_test.rb
@@ -22,16 +22,6 @@ require_relative '../test_helper'
 class JournalsHelperTest < Redmine::HelperTest
   include JournalsHelper
 
-  fixtures :projects, :trackers, :issue_statuses, :issues, :journals,
-           :enumerations, :issue_categories,
-           :projects_trackers,
-           :users, :roles, :member_roles, :members,
-           :enabled_modules,
-           :custom_fields,
-           :attachments,
-           :versions,
-           :journal_details
-
   def test_journal_thumbnail_attachments_should_return_thumbnailable_attachments
     skip unless convert_installed?
     set_tmp_attachments_directory
diff --git a/test/helpers/members_helper_test.rb b/test/helpers/members_helper_test.rb
index a3120711c..645ec9979 100644
--- a/test/helpers/members_helper_test.rb
+++ b/test/helpers/members_helper_test.rb
@@ -24,9 +24,6 @@ class MembersHelperTest < Redmine::HelperTest
   include MembersHelper
   include AvatarsHelper
 
-  fixtures :projects, :users, :members, :member_roles,
-           :trackers, :issue_statuses
-
   def test_render_principals_for_new_members
     project = Project.generate!
 
diff --git a/test/helpers/projects_helper_test.rb b/test/helpers/projects_helper_test.rb
index dc6438bc3..7f15324fe 100644
--- a/test/helpers/projects_helper_test.rb
+++ b/test/helpers/projects_helper_test.rb
@@ -23,15 +23,6 @@ class ProjectsHelperTest < Redmine::HelperTest
   include ProjectsHelper
   include ERB::Util
 
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :versions,
-           :projects_trackers,
-           :member_roles,
-           :members,
-           :groups_users,
-           :enabled_modules
-
   def test_link_to_version_within_project
     @project = Project.find(2)
     User.current = User.find(1)
diff --git a/test/helpers/projects_queries_helper_test.rb b/test/helpers/projects_queries_helper_test.rb
index e3423e212..0fad912c3 100644
--- a/test/helpers/projects_queries_helper_test.rb
+++ b/test/helpers/projects_queries_helper_test.rb
@@ -22,9 +22,6 @@ require_relative '../test_helper'
 class ProjectsQueriesHelperTest < Redmine::HelperTest
   include ProjectsQueriesHelper
 
-  fixtures :projects, :enabled_modules,
-           :custom_fields, :custom_values
-
   def test_csv_value
     c_status = QueryColumn.new(:status)
     c_parent_id = QueryColumn.new(:parent_id)
diff --git a/test/helpers/queries_helper_test.rb b/test/helpers/queries_helper_test.rb
index 8a124a42d..b22bfcb27 100644
--- a/test/helpers/queries_helper_test.rb
+++ b/test/helpers/queries_helper_test.rb
@@ -22,14 +22,6 @@ require_relative '../test_helper'
 class QueriesHelperTest < Redmine::HelperTest
   include QueriesHelper
 
-  fixtures :projects, :enabled_modules, :users, :members,
-           :member_roles, :roles, :trackers, :issue_statuses,
-           :issue_categories, :enumerations, :issues,
-           :watchers, :custom_fields, :custom_values, :versions,
-           :queries,
-           :projects_trackers,
-           :custom_fields_trackers
-
   def test_filters_options_for_select_should_have_a_blank_option
     options = filters_options_for_select(IssueQuery.new)
     assert_select_in options, 'option[value=""]'
diff --git a/test/helpers/reports_helper_test.rb b/test/helpers/reports_helper_test.rb
index 9b3ac8a26..15e471400 100644
--- a/test/helpers/reports_helper_test.rb
+++ b/test/helpers/reports_helper_test.rb
@@ -22,8 +22,6 @@ require_relative '../test_helper'
 class ReportsHlperTest < Redmine::HelperTest
   include ReportsHelper
 
-  fixtures :projects, :users
-
   def test_aggregate_path_for_spacified_row
     project = Project.find(1)
     field = 'assigned_to_id'
diff --git a/test/helpers/routes_helper_test.rb b/test/helpers/routes_helper_test.rb
index 6bca90cf8..7c9c2b349 100644
--- a/test/helpers/routes_helper_test.rb
+++ b/test/helpers/routes_helper_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class RoutesHelperTest < Redmine::HelperTest
-  fixtures :projects, :issues
-
   def test_time_entries_path
     assert_equal '/projects/ecookbook/time_entries', _time_entries_path(Project.find(1), nil)
     assert_equal '/time_entries', _time_entries_path(nil, nil)
diff --git a/test/helpers/timelog_helper_test.rb b/test/helpers/timelog_helper_test.rb
index e550ae194..1d9690abb 100644
--- a/test/helpers/timelog_helper_test.rb
+++ b/test/helpers/timelog_helper_test.rb
@@ -25,14 +25,6 @@ class TimelogHelperTest < Redmine::HelperTest
   include ActionView::Helpers::DateHelper
   include ERB::Util
 
-  fixtures :projects, :roles, :enabled_modules, :users,
-           :repositories, :changesets,
-           :trackers, :issue_statuses, :issues, :versions, :documents,
-           :wikis, :wiki_pages, :wiki_contents,
-           :boards, :messages,
-           :attachments,
-           :enumerations
-
   def test_activities_collection_for_select_options_should_return_array_of_activity_names_and_ids
     activities = activity_collection_for_select_options
     assert activities.include?(["Design", 9])
diff --git a/test/helpers/version_helper_test.rb b/test/helpers/version_helper_test.rb
index 5edc8b9ff..c4f23af66 100644
--- a/test/helpers/version_helper_test.rb
+++ b/test/helpers/version_helper_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class VersionsHelperTest < Redmine::HelperTest
-  fixtures :projects, :versions, :enabled_modules,
-           :users, :members, :roles, :member_roles,
-           :trackers, :projects_trackers,
-           :issue_statuses
-
   def test_version_filtered_issues_path_sharing_none
     version = Version.new(:name => 'test', :sharing => 'none')
     version.project = Project.find(5)
diff --git a/test/helpers/watchers_helper_test.rb b/test/helpers/watchers_helper_test.rb
index 1d29d33d5..c59e8e25d 100644
--- a/test/helpers/watchers_helper_test.rb
+++ b/test/helpers/watchers_helper_test.rb
@@ -24,8 +24,6 @@ class WatchersHelperTest < Redmine::HelperTest
   include AvatarsHelper
   include ERB::Util
 
-  fixtures :users, :issues
-
   test '#watcher_link with a non-watched object' do
     expected = link_to(
       sprite_icon("fav", "Watch"),
diff --git a/test/helpers/wiki_helper_test.rb b/test/helpers/wiki_helper_test.rb
index eda1bfe1a..5d7c201f7 100644
--- a/test/helpers/wiki_helper_test.rb
+++ b/test/helpers/wiki_helper_test.rb
@@ -22,10 +22,6 @@ require_relative '../test_helper'
 class WikiHelperTest < Redmine::HelperTest
   include WikiHelper
 
-  fixtures :projects, :users,
-           :roles, :member_roles, :members,
-           :enabled_modules, :wikis, :wiki_pages
-
   def test_wiki_page_edit_cancel_path_for_new_page_without_parent_should_be_wiki_index
     wiki = Wiki.find(1)
     page = WikiPage.new(:wiki => wiki)
diff --git a/test/integration/account_test.rb b/test/integration/account_test.rb
index e40584152..efdc8238f 100644
--- a/test/integration/account_test.rb
+++ b/test/integration/account_test.rb
@@ -20,8 +20,6 @@
 require_relative '../test_helper'
 
 class AccountTest < Redmine::IntegrationTest
-  fixtures :users, :email_addresses, :roles
-
   def test_login
     get "/my/page"
     assert_redirected_to "/login?back_url=http%3A%2F%2Fwww.example.com%2Fmy%2Fpage"
diff --git a/test/integration/admin_test.rb b/test/integration/admin_test.rb
index 1b9a029bb..8c0965126 100644
--- a/test/integration/admin_test.rb
+++ b/test/integration/admin_test.rb
@@ -20,14 +20,6 @@
 require_relative '../test_helper'
 
 class AdminTest < Redmine::IntegrationTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules
-
   def test_add_user
     log_user("admin", "admin")
     get "/users/new"
diff --git a/test/integration/api_test/api_test.rb b/test/integration/api_test/api_test.rb
index d076e81eb..7d848c42d 100644
--- a/test/integration/api_test/api_test.rb
+++ b/test/integration/api_test/api_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::ApiTest < Redmine::ApiTest::Base
-  fixtures :users, :email_addresses, :members, :member_roles, :roles, :projects
-
   def test_api_should_work_with_protect_from_forgery
     ActionController::Base.allow_forgery_protection = true
     assert_difference('User.count') do
diff --git a/test/integration/api_test/attachments_test.rb b/test/integration/api_test/attachments_test.rb
index a3d4ef21a..9bb079c3d 100644
--- a/test/integration/api_test/attachments_test.rb
+++ b/test/integration/api_test/attachments_test.rb
@@ -20,15 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::AttachmentsTest < Redmine::ApiTest::Base
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :attachments
-
   def setup
     super
     set_fixtures_attachments_directory
diff --git a/test/integration/api_test/authentication_test.rb b/test/integration/api_test/authentication_test.rb
index aeb5fed15..23641b53a 100644
--- a/test/integration/api_test/authentication_test.rb
+++ b/test/integration/api_test/authentication_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::AuthenticationTest < Redmine::ApiTest::Base
-  fixtures :users
-
   def teardown
     User.current = nil
   end
diff --git a/test/integration/api_test/custom_fields_attribute_test.rb b/test/integration/api_test/custom_fields_attribute_test.rb
index ad7521aa0..0abd643bb 100644
--- a/test/integration/api_test/custom_fields_attribute_test.rb
+++ b/test/integration/api_test/custom_fields_attribute_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::CustomFieldsAttributeTest < Redmine::ApiTest::Base
-  fixtures :users
-
   def test_integer_custom_fields_should_accept_strings
     field = GroupCustomField.generate!(:field_format => 'int')
     post(
diff --git a/test/integration/api_test/custom_fields_test.rb b/test/integration/api_test/custom_fields_test.rb
index 436fe7171..0df56e59a 100644
--- a/test/integration/api_test/custom_fields_test.rb
+++ b/test/integration/api_test/custom_fields_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::CustomFieldsTest < Redmine::ApiTest::Base
-  fixtures :users, :custom_fields
-
   test "GET /custom_fields.xml should return custom fields" do
     get '/custom_fields.xml', :headers => credentials('admin')
     assert_response :success
diff --git a/test/integration/api_test/disabled_rest_api_test.rb b/test/integration/api_test/disabled_rest_api_test.rb
index 187d345c2..c95f8fb61 100644
--- a/test/integration/api_test/disabled_rest_api_test.rb
+++ b/test/integration/api_test/disabled_rest_api_test.rb
@@ -20,14 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::DisabledRestApiTest < Redmine::ApiTest::Base
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules
-
   def setup
     Setting.rest_api_enabled = '0'
     Setting.login_required = '1'
diff --git a/test/integration/api_test/enumerations_test.rb b/test/integration/api_test/enumerations_test.rb
index c47dc83fe..25200f7a9 100644
--- a/test/integration/api_test/enumerations_test.rb
+++ b/test/integration/api_test/enumerations_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::EnumerationsTest < Redmine::ApiTest::Base
-  fixtures :enumerations
-
   test "GET /enumerations/issue_priorities.xml should return priorities" do
     get '/enumerations/issue_priorities.xml'
     assert_response :success
diff --git a/test/integration/api_test/files_test.rb b/test/integration/api_test/files_test.rb
index 1a66d445f..10361aab3 100644
--- a/test/integration/api_test/files_test.rb
+++ b/test/integration/api_test/files_test.rb
@@ -20,15 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::FilesTest < Redmine::ApiTest::Base
-  fixtures :projects,
-           :users,
-           :members,
-           :roles,
-           :member_roles,
-           :enabled_modules,
-           :attachments,
-           :versions
-
   test "GET /projects/:project_id/files.xml should return the list of uploaded files" do
     get '/projects/1/files.xml', :headers => credentials('jsmith')
     assert_response :success
diff --git a/test/integration/api_test/groups_test.rb b/test/integration/api_test/groups_test.rb
index fa4cbb205..5c39364b1 100644
--- a/test/integration/api_test/groups_test.rb
+++ b/test/integration/api_test/groups_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::GroupsTest < Redmine::ApiTest::Base
-  fixtures :users, :groups_users, :email_addresses
-
   test "GET /groups.xml should require authentication" do
     get '/groups.xml'
     assert_response :unauthorized
diff --git a/test/integration/api_test/issue_categories_test.rb b/test/integration/api_test/issue_categories_test.rb
index 676c8d013..cd9c43a44 100644
--- a/test/integration/api_test/issue_categories_test.rb
+++ b/test/integration/api_test/issue_categories_test.rb
@@ -20,12 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::IssueCategoriesTest < Redmine::ApiTest::Base
-  fixtures :projects, :users, :issue_categories, :issues,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules
-
   test "GET /projects/:project_id/issue_categories.xml should return the issue categories" do
     get '/projects/1/issue_categories.xml', :headers => credentials('jsmith')
     assert_response :success
diff --git a/test/integration/api_test/issue_relations_test.rb b/test/integration/api_test/issue_relations_test.rb
index 3ac12e276..9885c3939 100644
--- a/test/integration/api_test/issue_relations_test.rb
+++ b/test/integration/api_test/issue_relations_test.rb
@@ -20,15 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::IssueRelationsTest < Redmine::ApiTest::Base
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :issue_relations
-
   test "GET /issues/:issue_id/relations.xml should return issue relations" do
     get '/issues/9/relations.xml', :headers => credentials('jsmith')
 
diff --git a/test/integration/api_test/issue_statuses_test.rb b/test/integration/api_test/issue_statuses_test.rb
index c7a3cd85c..d59cdcc4f 100644
--- a/test/integration/api_test/issue_statuses_test.rb
+++ b/test/integration/api_test/issue_statuses_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::IssueStatusesTest < Redmine::ApiTest::Base
-  fixtures :issue_statuses
-
   test "GET /issue_statuses.xml should return issue statuses" do
     get '/issue_statuses.xml'
 
diff --git a/test/integration/api_test/issues_test.rb b/test/integration/api_test/issues_test.rb
index 02840b2ef..df558d797 100644
--- a/test/integration/api_test/issues_test.rb
+++ b/test/integration/api_test/issues_test.rb
@@ -20,34 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::IssuesTest < Redmine::ApiTest::Base
-  fixtures(
-    :projects,
-    :users,
-    :user_preferences,
-    :roles,
-    :members,
-    :member_roles,
-    :issues,
-    :issue_statuses,
-    :issue_relations,
-    :versions,
-    :trackers,
-    :projects_trackers,
-    :issue_categories,
-    :enabled_modules,
-    :enumerations,
-    :attachments,
-    :workflows,
-    :custom_fields,
-    :custom_values,
-    :custom_fields_projects,
-    :custom_fields_trackers,
-    :time_entries,
-    :journals,
-    :journal_details,
-    :queries,
-    :attachments)
-
   test "GET /issues.xml should contain metadata" do
     get '/issues.xml'
     assert_select 'issues[type=array][total_count][limit="25"][offset="0"]'
diff --git a/test/integration/api_test/journals_test.rb b/test/integration/api_test/journals_test.rb
index 48c6e90d0..9777f90fa 100644
--- a/test/integration/api_test/journals_test.rb
+++ b/test/integration/api_test/journals_test.rb
@@ -20,13 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::JournalTest < Redmine::ApiTest::Base
-  fixtures :projects, :issues, :issue_statuses, :journals, :journal_details,
-           :issue_relations, :workflows,
-           :users, :members, :member_roles, :roles, :enabled_modules,
-           :groups_users, :email_addresses,
-           :enumerations,
-           :projects_trackers, :trackers, :custom_fields
-
   test "PUT /journals/:id.xml with valid parameters should update the journal notes" do
     put(
       '/journals/1.xml',
diff --git a/test/integration/api_test/jsonp_test.rb b/test/integration/api_test/jsonp_test.rb
index fa7ab9b53..b441d8b1b 100644
--- a/test/integration/api_test/jsonp_test.rb
+++ b/test/integration/api_test/jsonp_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::JsonpTest < Redmine::ApiTest::Base
-  fixtures :trackers
-
   def test_should_ignore_jsonp_callback_with_jsonp_disabled
     with_settings :jsonp_enabled => '0' do
       get '/trackers.json?jsonp=handler'
diff --git a/test/integration/api_test/memberships_test.rb b/test/integration/api_test/memberships_test.rb
index 0b7c70608..baab2ebb9 100644
--- a/test/integration/api_test/memberships_test.rb
+++ b/test/integration/api_test/memberships_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::MembershipsTest < Redmine::ApiTest::Base
-  fixtures :projects, :users, :roles, :members, :member_roles
-
   test "GET /projects/:project_id/memberships.xml should return memberships" do
     get '/projects/1/memberships.xml', :headers => credentials('jsmith')
 
diff --git a/test/integration/api_test/my_test.rb b/test/integration/api_test/my_test.rb
index 81a952b2e..e9bbbd78f 100644
--- a/test/integration/api_test/my_test.rb
+++ b/test/integration/api_test/my_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::MyTest < Redmine::ApiTest::Base
-  fixtures :users, :email_addresses, :members, :member_roles, :roles, :projects
-
   test "GET /my/account.json should return user" do
     assert Setting.rest_api_enabled?
     get '/my/account.json', :headers => credentials('dlopper', 'foo')
diff --git a/test/integration/api_test/news_test.rb b/test/integration/api_test/news_test.rb
index 1a3bb824e..bd9f2bb6d 100644
--- a/test/integration/api_test/news_test.rb
+++ b/test/integration/api_test/news_test.rb
@@ -20,17 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::NewsTest < Redmine::ApiTest::Base
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :news,
-           :comments,
-           :attachments
-
   test "GET /news.xml should return news" do
     get '/news.xml'
 
diff --git a/test/integration/api_test/projects_test.rb b/test/integration/api_test/projects_test.rb
index 0c75d1fb4..f5263690a 100644
--- a/test/integration/api_test/projects_test.rb
+++ b/test/integration/api_test/projects_test.rb
@@ -21,11 +21,6 @@ require_relative '../../test_helper'
 
 class Redmine::ApiTest::ProjectsTest < Redmine::ApiTest::Base
   include ActiveJob::TestHelper
-  fixtures :projects, :versions, :users, :roles, :members, :member_roles, :issues, :journals, :journal_details,
-           :trackers, :projects_trackers, :issue_statuses, :enabled_modules, :enumerations, :boards, :messages,
-           :attachments, :custom_fields, :custom_values, :custom_fields_projects, :time_entries, :issue_categories,
-           :queries
-
   def setup
     super
     set_tmp_attachments_directory
diff --git a/test/integration/api_test/queries_test.rb b/test/integration/api_test/queries_test.rb
index 1476e8dbf..e74352567 100644
--- a/test/integration/api_test/queries_test.rb
+++ b/test/integration/api_test/queries_test.rb
@@ -20,15 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::QueriesTest < Redmine::ApiTest::Base
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :queries
-
   test "GET /queries.xml should return queries" do
     get '/queries.xml'
 
diff --git a/test/integration/api_test/repositories_test.rb b/test/integration/api_test/repositories_test.rb
index ae59cd8ca..3d8a2679e 100644
--- a/test/integration/api_test/repositories_test.rb
+++ b/test/integration/api_test/repositories_test.rb
@@ -20,12 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::RepositoriesTest < Redmine::ApiTest::Base
-  fixtures :users,
-           :projects, :enabled_modules,
-           :members, :roles, :member_roles,
-           :issues,
-           :repositories, :changesets, :changes
-
   test 'POST /projects/:id/repository/:repository_id/revisions/:rev/issues.xml should add related issue' do
     changeset = Changeset.find(103)
     assert_equal [], changeset.issue_ids
diff --git a/test/integration/api_test/roles_test.rb b/test/integration/api_test/roles_test.rb
index 0cd4fd72b..c9dee4bb0 100644
--- a/test/integration/api_test/roles_test.rb
+++ b/test/integration/api_test/roles_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::RolesTest < Redmine::ApiTest::Base
-  fixtures :roles
-
   test "GET /roles.xml should return the roles" do
     get '/roles.xml'
 
diff --git a/test/integration/api_test/search_test.rb b/test/integration/api_test/search_test.rb
index 3226f76c9..dd6ac658b 100644
--- a/test/integration/api_test/search_test.rb
+++ b/test/integration/api_test/search_test.rb
@@ -20,14 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::SearchTest < Redmine::ApiTest::Base
-  fixtures :projects, :projects_trackers,
-           :enabled_modules, :roles, :users, :members, :member_roles,
-           :issues, :trackers, :issue_statuses, :enumerations,
-           :workflows,
-           :custom_fields, :custom_values,
-           :custom_fields_projects, :custom_fields_trackers,
-           :repositories, :changesets
-
   test "GET /search.xml should return xml content" do
     get '/search.xml'
 
diff --git a/test/integration/api_test/time_entries_test.rb b/test/integration/api_test/time_entries_test.rb
index 66f7cf335..abd634506 100644
--- a/test/integration/api_test/time_entries_test.rb
+++ b/test/integration/api_test/time_entries_test.rb
@@ -20,15 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::TimeEntriesTest < Redmine::ApiTest::Base
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :time_entries
-
   test "GET /time_entries.xml should return time entries" do
     get '/time_entries.xml', :headers => credentials('jsmith')
     assert_response :success
diff --git a/test/integration/api_test/trackers_test.rb b/test/integration/api_test/trackers_test.rb
index b9eeafafd..5770e3ed6 100644
--- a/test/integration/api_test/trackers_test.rb
+++ b/test/integration/api_test/trackers_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::TrackersTest < Redmine::ApiTest::Base
-  fixtures :trackers
-
   test "GET /trackers.xml should return trackers" do
     Tracker.find(2).update_attribute :core_fields, %w[assigned_to_id due_date]
     get '/trackers.xml'
diff --git a/test/integration/api_test/users_test.rb b/test/integration/api_test/users_test.rb
index e977379c0..94ecb52cf 100644
--- a/test/integration/api_test/users_test.rb
+++ b/test/integration/api_test/users_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::UsersTest < Redmine::ApiTest::Base
-  fixtures :users, :groups_users, :email_addresses, :members, :member_roles, :roles, :projects, :auth_sources
-
   test "GET /users.xml should return users" do
     users = User.active.order('login')
     users.last.update(twofa_scheme: 'totp')
diff --git a/test/integration/api_test/versions_test.rb b/test/integration/api_test/versions_test.rb
index 96d70095c..012739928 100644
--- a/test/integration/api_test/versions_test.rb
+++ b/test/integration/api_test/versions_test.rb
@@ -20,17 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::VersionsTest < Redmine::ApiTest::Base
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules,
-           :versions,
-           :wikis, :wiki_pages,
-           :time_entries
-
   test "GET /projects/:project_id/versions.xml should return project versions" do
     get '/projects/1/versions.xml'
 
diff --git a/test/integration/api_test/wiki_pages_test.rb b/test/integration/api_test/wiki_pages_test.rb
index 2aa60304c..f57db5880 100644
--- a/test/integration/api_test/wiki_pages_test.rb
+++ b/test/integration/api_test/wiki_pages_test.rb
@@ -20,10 +20,6 @@
 require_relative '../../test_helper'
 
 class Redmine::ApiTest::WikiPagesTest < Redmine::ApiTest::Base
-  fixtures :projects, :users, :roles, :members, :member_roles,
-           :enabled_modules, :wikis, :wiki_pages, :wiki_contents,
-           :wiki_content_versions, :attachments
-
   test "GET /projects/:project_id/wiki/index.xml should return wiki pages" do
     get '/projects/ecookbook/wiki/index.xml'
     assert_response :ok
diff --git a/test/integration/application_test.rb b/test/integration/application_test.rb
index 77c96d89b..bbdedd6d8 100644
--- a/test/integration/application_test.rb
+++ b/test/integration/application_test.rb
@@ -22,14 +22,6 @@ require_relative '../test_helper'
 class ApplicationTest < Redmine::IntegrationTest
   include Redmine::I18n
 
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules
-
   def test_set_localization
     Setting.default_language = 'en'
 
diff --git a/test/integration/attachments_test.rb b/test/integration/attachments_test.rb
index 910ec6b2c..f6a30d061 100644
--- a/test/integration/attachments_test.rb
+++ b/test/integration/attachments_test.rb
@@ -20,15 +20,6 @@
 require_relative '../test_helper'
 
 class AttachmentsTest < Redmine::IntegrationTest
-  fixtures :projects, :enabled_modules,
-           :users, :email_addresses,
-           :roles, :members, :member_roles,
-           :trackers, :projects_trackers,
-           :issues, :issue_statuses, :enumerations,
-           :attachments,
-           :wiki_content_versions, :wiki_contents, :wiki_pages,
-           :journals, :journal_details
-
   def test_upload_should_set_default_content_type
     log_user('jsmith', 'jsmith')
     assert_difference 'Attachment.count' do
diff --git a/test/integration/feeds_test.rb b/test/integration/feeds_test.rb
index c5e1162bd..dffcd9c12 100644
--- a/test/integration/feeds_test.rb
+++ b/test/integration/feeds_test.rb
@@ -20,11 +20,6 @@
 require_relative '../test_helper'
 
 class FeedsTest < Redmine::IntegrationTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers, :enabled_modules,
-           :roles, :member_roles, :members
-
   def test_feeds_should_include_icon_tag
     get '/projects.atom'
     assert_response :success
diff --git a/test/integration/issues_test.rb b/test/integration/issues_test.rb
index fca3d3981..ac8d432f1 100644
--- a/test/integration/issues_test.rb
+++ b/test/integration/issues_test.rb
@@ -20,23 +20,6 @@
 require_relative '../test_helper'
 
 class IssuesTest < Redmine::IntegrationTest
-  fixtures :projects,
-           :users, :email_addresses,
-           :roles,
-           :members,
-           :member_roles,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :issue_statuses,
-           :issues,
-           :enumerations,
-           :custom_fields,
-           :custom_values,
-           :custom_fields_trackers, :custom_fields_projects,
-           :attachments,
-           :issue_categories
-
   # create an issue
   def test_add_issue
     log_user('jsmith', 'jsmith')
diff --git a/test/integration/layout_test.rb b/test/integration/layout_test.rb
index bc1a67e01..a1c918ae0 100644
--- a/test/integration/layout_test.rb
+++ b/test/integration/layout_test.rb
@@ -20,14 +20,6 @@
 require_relative '../test_helper'
 
 class LayoutTest < Redmine::IntegrationTest
-  fixtures :projects, :trackers, :issue_statuses, :issues,
-           :enumerations, :users, :issue_categories,
-           :projects_trackers,
-           :roles,
-           :member_roles,
-           :members,
-           :enabled_modules
-
   test "browsing to a missing page should render the base layout" do
     get "/users/100000000"
 
diff --git a/test/integration/lib/redmine/field_format/attachment_format_test.rb b/test/integration/lib/redmine/field_format/attachment_format_test.rb
index 0d3590ff4..d6007d7e5 100644
--- a/test/integration/lib/redmine/field_format/attachment_format_test.rb
+++ b/test/integration/lib/redmine/field_format/attachment_format_test.rb
@@ -20,22 +20,6 @@
 require_relative '../../../../test_helper'
 
 class AttachmentFieldFormatTest < Redmine::IntegrationTest
-  fixtures :projects,
-           :users, :email_addresses,
-           :roles,
-           :members,
-           :member_roles,
-           :trackers,
-           :projects_trackers,
-           :enabled_modules,
-           :issue_statuses,
-           :issues,
-           :enumerations,
-           :custom_fields,
-           :custom_values,
-           :custom_fields_trackers,
-           :attachments
-
   def setup
     User.current = nil
     set_tmp_attachments_directory
diff --git a/test/integration/lib/redmine/hook_test.rb b/test/integration/lib/redmine/hook_test.rb
index 922d0267e..61255ffeb 100644
--- a/test/integration/lib/redmine/hook_test.rb
+++ b/test/integration/lib/redmine/hook_test.rb
@@ -20,8 +20,6 @@
 require_relative '../../../test_helper'
 
 class HookTest < Redmine::IntegrationTest
-  fixtures :users, :roles, :projects, :members, :member_roles
-
   # Hooks that are manually registered later
   class ProjectBasedTemplate < Redmine::Hook::ViewListener
     def view_layouts_base_html_head(context)
